Loading...
Searching...
No Matches
exception.hpp File Reference
`#include <stdexcept>`
`#include <string>`
Include dependency graph for exception.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gpiod::chip_closed
| Exception thrown when an already closed chip is used. More...
class | gpiod::request_released
| Exception thrown when an already released line request is used. More...
class | gpiod::bad_mapping
| Exception thrown when the core C library returns an invalid value for any of the line_info properties. More...

## Namespaces

namespace | gpiod